Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Interface JspParserConstants

All Known Implementing Classes:
  JspParser, JspParserTokenManager

    public interface JspParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` | `AfterTagState` Lexical state.
`static int` | `ALPHA_CHAR` RegularExpression Id.
`static int` | `ALPHANUM_CHAR` RegularExpression Id.
`static int` | `ATTR_EQ` RegularExpression Id.
`static int` | `ATTR_NAME` RegularExpression Id.
`static int` | `AttrValueBetweenDoubleQuotesState` Lexical state.
`static int` | `AttrValueBetweenSingleQuotesState` Lexical state.
`static int` | `AttrValueState` Lexical state.
`static int` | `CDATA_END` RegularExpression Id.
`static int` | `CDATA_START` RegularExpression Id.
`static int` | `CDataState` Lexical state.
`static int` | `COMMENT_END` RegularExpression Id.
`static int` | `COMMENT_START` RegularExpression Id.
`static int` | `COMMENT_TEXT` RegularExpression Id.
`static int` | `CommentState` Lexical state.
`static int` | `DECL_END` RegularExpression Id.
`static int` | `DECL_START` RegularExpression Id.
`static int` | `DEFAULT` Lexical state.
`static int` | `DOCTYPE_DECL_END` RegularExpression Id.
`static int` | `DOCTYPE_DECL_START` RegularExpression Id.
`static int` | `DocTypeExternalIdState` Lexical state.
`static int` | `DocTypeState` Lexical state.
`static int` | `DOLLAR` RegularExpression Id.
`static int` | `DOLLAR_OR_HASH_DOUBLE_QUOTE` RegularExpression Id.
`static int` | `DOLLAR_OR_HASH_SINGLE_QUOTE` RegularExpression Id.
`static int` | `DOUBLE_QUOTE` RegularExpression Id.
`static int` | `EL_ESCAPE` RegularExpression Id.
`static int` | `EL_EXPRESSION` RegularExpression Id.
`static int` | `EL_EXPRESSION_IN_ATTRIBUTE` RegularExpression Id.
`static int` | `ENDING_DOUBLE_QUOTE` RegularExpression Id.
`static int` | `ENDING_SINGLE_QUOTE` RegularExpression Id.
`static int` | `ENDTAG_START` RegularExpression Id.
`static int` | `EOF` End of File.
`static int` | `IDENTIFIER` RegularExpression Id.
`static int` | `IDENTIFIER_CHAR` RegularExpression Id.
`static int` | `IN_TAG_ERROR` RegularExpression Id.
`static int` | `InTagState` Lexical state.
`static int` | `JSP_COMMENT_CONTENT` RegularExpression Id.
`static int` | `JSP_COMMENT_END` RegularExpression Id.
`static int` | `JSP_COMMENT_START` RegularExpression Id.
`static int` | `JSP_DECLARATION` RegularExpression Id.
`static int` | `JSP_DECLARATION_END` RegularExpression Id.
`static int` | `JSP_DECLARATION_START` RegularExpression Id.
`static int` | `JSP_DIRECTIVE_ATTRIBUTE_EQUALS` RegularExpression Id.
`static int` | `JSP_DIRECTIVE_ATTRIBUTE_NAME` RegularExpression Id.
`static int` | `JSP_DIRECTIVE_ATTRIBUTE_VALUE` RegularExpression Id.
`static int` | `JSP_DIRECTIVE_END` RegularExpression Id.
`static int` | `JSP_DIRECTIVE_NAME` RegularExpression Id.
`static int` | `JSP_DIRECTIVE_START` RegularExpression Id.
`static int` | `JSP_EXPRESSION` RegularExpression Id.
`static int` | `JSP_EXPRESSION_END` RegularExpression Id.
`static int` | `JSP_EXPRESSION_IN_ATTRIBUTE` RegularExpression Id.
`static int` | `JSP_EXPRESSION_START` RegularExpression Id.
`static int` | `JSP_SCRIPTLET` RegularExpression Id.
`static int` | `JSP_SCRIPTLET_END` RegularExpression Id.
`static int` | `JSP_SCRIPTLET_START` RegularExpression Id.
`static int` | `JspCommentState` Lexical state.
`static int` | `JspDeclarationState` Lexical state.
`static int` | `JspDirectiveAttributesState` Lexical state.
`static int` | `JspDirectiveState` Lexical state.
`static int` | `JspExpressionState` Lexical state.
`static int` | `JspScriptletState` Lexical state.
`static int` | `LST_ERROR` RegularExpression Id.
`static int` | `NAME` RegularExpression Id.
`static int` | `NEWLINE` RegularExpression Id.
`static int` | `NO_JSP_COMMENT_END` RegularExpression Id.
`static int` | `NO_JSP_TAG_END` RegularExpression Id.
`static int` | `NO_LT_OR_DOLLAR` RegularExpression Id.
`static int` | `NO_OPENBRACE_OR_LT` RegularExpression Id.
`static int` | `NO_WHITESPACE_OR_LT_OR_DOLLAR` RegularExpression Id.
`static int` | `NUM_CHAR` RegularExpression Id.
`static int` | `PUBLIC` RegularExpression Id.
`static int` | `QUOTE` RegularExpression Id.
`static int` | `QUOTED_LITERAL` RegularExpression Id.
`static int` | `QUOTED_STRING` RegularExpression Id.
`static int` | `QUOTED_STRING_NO_BREAKS` RegularExpression Id.
`static int` | `SINGLE_QUOTE` RegularExpression Id.
`static int` | `StartTagState` Lexical state.
`static int` | `SYSTEM` RegularExpression Id.
`static int` | `TAG_END` RegularExpression Id.
`static int` | `TAG_NAME` RegularExpression Id.
`static int` | `TAG_SLASHEND` RegularExpression Id.
`static int` | `TAG_START` RegularExpression Id.
`static int` | `TEXT_IN_EL` RegularExpression Id.
`static java.lang.String[]` | `tokenImage` Literal token values.
`static int` | `UNPARSED` RegularExpression Id.
`static int` | `UNPARSED_TEXT` RegularExpression Id.
`static int` | `UNPARSED_TEXT_NO_DOUBLE_QUOTES` RegularExpression Id.
`static int` | `UNPARSED_TEXT_NO_SINGLE_QUOTES` RegularExpression Id.
`static int` | `VALUE_BINDING_IN_ATTRIBUTE` RegularExpression Id.
`static int` | `WHITESPACE` RegularExpression Id.
`static int` | `WHITESPACES` RegularExpression Id.
`static int` | `XMLNAME` RegularExpression Id.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### ALPHA_CHAR

    static final int ALPHA_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### NUM_CHAR

    static final int NUM_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALPHANUM_CHAR

    static final int ALPHANUM_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDENTIFIER_CHAR

    static final int IDENTIFIER_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

  RegularExpression Id.

  See Also:
    Constant Field Values

### XMLNAME

    static final int XMLNAME

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUOTED_STRING_NO_BREAKS

    static final int QUOTED_STRING_NO_BREAKS

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUOTED_STRING

    static final int QUOTED_STRING

  RegularExpression Id.

  See Also:
    Constant Field Values

### WHITESPACE

    static final int WHITESPACE

  RegularExpression Id.

  See Also:
    Constant Field Values

### NEWLINE

    static final int NEWLINE

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUOTE

    static final int QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### NO_WHITESPACE_OR_LT_OR_DOLLAR

    static final int NO_WHITESPACE_OR_LT_OR_DOLLAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### NO_LT_OR_DOLLAR

    static final int NO_LT_OR_DOLLAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOLLAR

    static final int DOLLAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### NO_OPENBRACE_OR_LT

    static final int NO_OPENBRACE_OR_LT

  RegularExpression Id.

  See Also:
    Constant Field Values

### TEXT_IN_EL

    static final int TEXT_IN_EL

  RegularExpression Id.

  See Also:
    Constant Field Values

### EL_ESCAPE

    static final int EL_ESCAPE

  RegularExpression Id.

  See Also:
    Constant Field Values

### NO_JSP_COMMENT_END

    static final int NO_JSP_COMMENT_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### NO_JSP_TAG_END

    static final int NO_JSP_TAG_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### TAG_START

    static final int TAG_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### ENDTAG_START

    static final int ENDTAG_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### COMMENT_START

    static final int COMMENT_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### DECL_START

    static final int DECL_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOCTYPE_DECL_START

    static final int DOCTYPE_DECL_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### CDATA_START

    static final int CDATA_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_COMMENT_START

    static final int JSP_COMMENT_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_DECLARATION_START

    static final int JSP_DECLARATION_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_EXPRESSION_START

    static final int JSP_EXPRESSION_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_SCRIPTLET_START

    static final int JSP_SCRIPTLET_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_DIRECTIVE_START

    static final int JSP_DIRECTIVE_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### EL_EXPRESSION

    static final int EL_EXPRESSION

  RegularExpression Id.

  See Also:
    Constant Field Values

### UNPARSED_TEXT

    static final int UNPARSED_TEXT

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_DIRECTIVE_NAME

    static final int JSP_DIRECTIVE_NAME

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_DIRECTIVE_ATTRIBUTE_NAME

    static final int JSP_DIRECTIVE_ATTRIBUTE_NAME

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_DIRECTIVE_ATTRIBUTE_EQUALS

    static final int JSP_DIRECTIVE_ATTRIBUTE_EQUALS

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_DIRECTIVE_ATTRIBUTE_VALUE

    static final int JSP_DIRECTIVE_ATTRIBUTE_VALUE

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_DIRECTIVE_END

    static final int JSP_DIRECTIVE_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_SCRIPTLET_END

    static final int JSP_SCRIPTLET_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_SCRIPTLET

    static final int JSP_SCRIPTLET

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_EXPRESSION_END

    static final int JSP_EXPRESSION_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_EXPRESSION

    static final int JSP_EXPRESSION

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_DECLARATION_END

    static final int JSP_DECLARATION_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_DECLARATION

    static final int JSP_DECLARATION

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_COMMENT_END

    static final int JSP_COMMENT_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_COMMENT_CONTENT

    static final int JSP_COMMENT_CONTENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### WHITESPACES

    static final int WHITESPACES

  RegularExpression Id.

  See Also:
    Constant Field Values

### NAME

    static final int NAME

  RegularExpression Id.

  See Also:
    Constant Field Values

### PUBLIC

    static final int PUBLIC

  RegularExpression Id.

  See Also:
    Constant Field Values

### SYSTEM

    static final int SYSTEM

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOCTYPE_DECL_END

    static final int DOCTYPE_DECL_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUOTED_LITERAL

    static final int QUOTED_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### UNPARSED

    static final int UNPARSED

  RegularExpression Id.

  See Also:
    Constant Field Values

### CDATA_END

    static final int CDATA_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### TAG_NAME

    static final int TAG_NAME

  RegularExpression Id.

  See Also:
    Constant Field Values

### LST_ERROR

    static final int LST_ERROR

  RegularExpression Id.

  See Also:
    Constant Field Values

### ATTR_NAME

    static final int ATTR_NAME

  RegularExpression Id.

  See Also:
    Constant Field Values

### TAG_END

    static final int TAG_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### DECL_END

    static final int DECL_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### TAG_SLASHEND

    static final int TAG_SLASHEND

  RegularExpression Id.

  See Also:
    Constant Field Values

### ATTR_EQ

    static final int ATTR_EQ

  RegularExpression Id.

  See Also:
    Constant Field Values

### IN_TAG_ERROR

    static final int IN_TAG_ERROR

  RegularExpression Id.

  See Also:
    Constant Field Values

### SINGLE_QUOTE

    static final int SINGLE_QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOUBLE_QUOTE

    static final int DOUBLE_QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### EL_EXPRESSION_IN_ATTRIBUTE

    static final int EL_EXPRESSION_IN_ATTRIBUTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### VALUE_BINDING_IN_ATTRIBUTE

    static final int VALUE_BINDING_IN_ATTRIBUTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### JSP_EXPRESSION_IN_ATTRIBUTE

    static final int JSP_EXPRESSION_IN_ATTRIBUTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### ENDING_SINGLE_QUOTE

    static final int ENDING_SINGLE_QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### UNPARSED_TEXT_NO_SINGLE_QUOTES

    static final int UNPARSED_TEXT_NO_SINGLE_QUOTES

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOLLAR_OR_HASH_SINGLE_QUOTE

    static final int DOLLAR_OR_HASH_SINGLE_QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### ENDING_DOUBLE_QUOTE

    static final int ENDING_DOUBLE_QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### UNPARSED_TEXT_NO_DOUBLE_QUOTES

    static final int UNPARSED_TEXT_NO_DOUBLE_QUOTES

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOLLAR_OR_HASH_DOUBLE_QUOTE

    static final int DOLLAR_OR_HASH_DOUBLE_QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### COMMENT_END

    static final int COMMENT_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### COMMENT_TEXT

    static final int COMMENT_TEXT

  RegularExpression Id.

  See Also:
    Constant Field Values

### CommentState

    static final int CommentState

  Lexical state.

  See Also:
    Constant Field Values

### AttrValueBetweenDoubleQuotesState

    static final int AttrValueBetweenDoubleQuotesState

  Lexical state.

  See Also:
    Constant Field Values

### AttrValueBetweenSingleQuotesState

    static final int AttrValueBetweenSingleQuotesState

  Lexical state.

  See Also:
    Constant Field Values

### StartTagState

    static final int StartTagState

  Lexical state.

  See Also:
    Constant Field Values

### CDataState

    static final int CDataState

  Lexical state.

  See Also:
    Constant Field Values

### DocTypeExternalIdState

    static final int DocTypeExternalIdState

  Lexical state.

  See Also:
    Constant Field Values

### DocTypeState

    static final int DocTypeState

  Lexical state.

  See Also:
    Constant Field Values

### JspCommentState

    static final int JspCommentState

  Lexical state.

  See Also:
    Constant Field Values

### JspDeclarationState

    static final int JspDeclarationState

  Lexical state.

  See Also:
    Constant Field Values

### JspExpressionState

    static final int JspExpressionState

  Lexical state.

  See Also:
    Constant Field Values

### JspScriptletState

    static final int JspScriptletState

  Lexical state.

  See Also:
    Constant Field Values

### InTagState

    static final int InTagState

  Lexical state.

  See Also:
    Constant Field Values

### AfterTagState

    static final int AfterTagState

  Lexical state.

  See Also:
    Constant Field Values

### AttrValueState

    static final int AttrValueState

  Lexical state.

  See Also:
    Constant Field Values

### JspDirectiveAttributesState

    static final int JspDirectiveAttributesState

  Lexical state.

  See Also:
    Constant Field Values

### JspDirectiveState

    static final int JspDirectiveState

  Lexical state.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

  Literal token values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.